Restrict a resource
curl --request POST \
--url https://api.arize.com/v2/resource-restrictions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"resource_id": "TW9kZWw6MTIxOmFCY0Q="
}
'import requests
url = "https://api.arize.com/v2/resource-restrictions"
payload = { "resource_id": "TW9kZWw6MTIxOmFCY0Q=" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({resource_id: 'TW9kZWw6MTIxOmFCY0Q='})
};
fetch('https://api.arize.com/v2/resource-restrictions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"resource_type": "PROJECT",
"resource_id": "TW9kZWw6MTIxOmFCY0Q=",
"created_at": "2026-01-01T12:00:00Z"
}{
"status": 400,
"title": "Invalid request parameters",
"detail": "The 'name' field is required and must be a non-empty string.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#invalid-request"
}{
"status": 401,
"title": "Authentication required",
"detail": "You must be authenticated to access this resource.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#authentication-required"
}{
"status": 403,
"title": "Access forbidden",
"detail": "You do not have permission to access this resource.",
"instance": "/resource/12345",
"type": "https://arize.com/docs/ax/rest-reference/errors#access-forbidden"
}{
"status": 404,
"title": "Resource not found",
"detail": "The requested resource with ID '12345' was not found.",
"instance": "/resource/12345",
"type": "https://arize.com/docs/ax/rest-reference/errors#resource-not-found"
}{
"status": 422,
"title": "Unprocessable Entity",
"detail": "One or more fields failed validation.",
"instance": "/resource/12345",
"type": "https://arize.com/docs/ax/rest-reference/errors#unprocessable-entity"
}{
"status": 429,
"title": "Rate limit exceeded",
"detail": "You have exceeded the allowed number of requests. Please try again later.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#rate-limit-exceeded"
}Resource Restrictions
Restrict a resource
Mark a resource as restricted. Only space admins or users with the RESOURCE_RESTRICT permission can perform this action. Idempotent.
Payload Requirements
resource_id: The ID for the resource. Onlyprojectresources are currently supported. Other resource types are not currently supported and will return 400.
Valid example
{ "resource_id": "TW9kZWw6MTIxOmFCY0Q=" }
Invalid example
{ "resource_id": "Not a project ID" }
Returns 400 — only Project / Model IDs are accepted
This endpoint is in beta, read more here.
POST
/
v2
/
resource-restrictions
Restrict a resource
Authorizations
Most Arize AI endpoints require authentication. For those endpoints that require authentication, include your API key in the request header using the format
Body
application/json
Body containing resource restriction creation parameters.
The ID of the resource to restrict
Example:
"RW50aXR5OjEyMzQ1"
Response
A resource restriction record
Type of the restricted resource.
- PROJECT - A project within a space.
Available options:
PROJECT Example:
"PROJECT"
The ID of the restricted resource
Example:
"TW9kZWw6MTIxOmFCY0Q="
When the restriction was created
Was this page helpful?
⌘I